Bug 542320 - Review Request: plexus-lang - Plexus language bundle access component
Review Request: plexus-lang - Plexus language bundle access component
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On:
Blocks: 542341
  Show dependency treegraph
 
Reported: 2009-11-29 04:51 EST by Lubomir Rintel
Modified: 2009-12-09 13:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 13:05:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mat.booth: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-11-29 04:51:51 EST
SPEC: http://v3.sk/~lkundrak/SPECS/plexus-lang.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/plexus-lang-1.2-0.1.20091129svn.fc12.src.rpm

Description:

The Plexus project seeks to create end-to-end developer tools for
writing applications. At the core is the container, which can be
embedded or for a full scale application server. There are many
reusable components for hibernate, form processing, jndi, i18n,
velocity, etc. This package contains a language bundle access
component.
Comment 1 Lubomir Rintel 2009-11-29 04:54:35 EST
rpmlint unhappy:

plexus-lang.noarch: W: no-documentation
 -- none was shipped by upstream

plexus-lang.noarch: W: non-conffile-in-etc /etc/maven/fragments/plexus-lang
 -- I believe rpmlint is correct here (this should really go into %_datadir), unfortunately we can't do anything about, the correct fix would require a change of %update_maven_depmap. Tens of other packages use this.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1836063
Comment 2 Lubomir Rintel 2009-11-29 06:32:10 EST
Removed redundant dependencies (urls remain the same, new scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=1836094)
Comment 3 Mat Booth 2009-12-01 08:27:36 EST
I will take this one.
Comment 4 Mat Booth 2009-12-03 17:20:11 EST
Hmm, this package looks very much plexus-i18n to me... Is this some kind of fork or just a newer version of plexus-i18n?

Plexus-lang provides identical copies of all the classes that plexus-i18n provides just under a different package name.
Comment 5 Lubomir Rintel 2009-12-09 06:58:24 EST
Good catch, Mat. To be honest, I could not determine. I sent a mail to gui that seems to be a single commiter to plexus-lang and asked him to clarify the situation.
Comment 6 Lubomir Rintel 2009-12-09 13:05:02 EST
Response from upstream:

"""
Please use plexus-i18n - the original one. Plexus-lang was a one off 
that kinda of stalled now, so if one is deprecated, that would be this one.
"""

Closing this.
Comment 7 Mat Booth 2009-12-09 13:29:48 EST
Cool. Easiest review I've ever done. ;-)

Note You need to log in before you can comment on or make changes to this bug.